commit 0cb446962381f750e05d97bfb974ca1e32481d5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 28 21:11:10 2013 -0700

    libXfixes 5.0.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c480fe3271873ec7471b0cbd680f4dac18ca8904
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 10:24:08 2013 -0700

    integer overflow in XFixesGetCursorImage() [CVE-2013-1983]
    
    If the reported cursor dimensions or name length are too large, the
    calculations to allocate memory for them may overflow, leaving us
    writing beyond the bounds of the allocation.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b031e3b60fa1af9e49449f23d4a84395868be3ab
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 13 10:20:59 2013 -0700

    Use _XEatDataWords to avoid overflow of _XEatData calculations
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f870dfb47da9d43d1750ea5e5fc9288c4158f7ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 09:26:05 2013 -0800

    XFixesFetchRegionAndBounds: use nread in call to XReadPad
    
    We already went through the trouble of calculating a variable with the
    amount to read, might as well use it instead of recalculating it.
    
    Also move initialization of the variable to the point it's needed/used
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ad2a06d4d3c60198bc40116623153f71a208a240
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 09:18:14 2013 -0800

    Remove duplicate declaration of XFixesExtensionName in Xfixesint.h
    
    Silences gcc warnings:
    In file included from Region.c:26:0:
    Xfixesint.h:52:13: warning: redundant redeclaration of 'XFixesExtensionName' [-Wredundant-decls]
    Xfixesint.h:34:13: note: previous declaration of 'XFixesExtensionName' was here
    
    In file included from Cursor.c:49:0:
    Xfixesint.h:52:13: warning: redundant redeclaration of 'XFixesExtensionName' [-Wredundant-decls]
    Xfixesint.h:34:13: note: previous declaration of 'XFixesExtensionName' was here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 73a0fbb479f5b7806a3dd0741be55c9abda76220
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 18 23:10:01 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d6931eda2fe86566823437507b5d818458cfd002
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 945803cdf3442f60ea25763a84b940e11653a205
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 991eb6dad335f4915de8bb2d36d82f0346ae88fb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 11 15:36:33 2011 +1000

    man: remove "current", we're way past 1.0.
    
    Claiming "the current 1.0 release" when the library is already past version
    4 is a tad confusing.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca7b0066fe6f315d2499338cd133e5b1e9d11236
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:19:59 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 54926675a9bbb732d3317316db4958e22922ea3f
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 22 14:50:13 2010 -0500

    libXfixes v5: Pointer barriers
    
    v2: Use int * for device list, consistent with libXi.
    v3: Update copyright year.
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit c301e75b0316c00599caa88d95f384d63eb8bec0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:42 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Remove redundant AC_SUBST(*_CFLAGS) and/or *_LIBS
    No functional configuration changes
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 8196b55a4d84f40f0a0b29b4167992b45df50d70
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e067891e233e3725e1fa1da72d91c5346f039d00
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1b64f2594c871d1497a032285476222b29cd4537
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 06:56:35 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01e803aebdfddfce6374b03e5f31723698aa0c00
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 9 20:18:25 2010 -0700

    libXfixes 4.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d08b9841ce01628881969b9cdd08d732c87aad7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 8 19:14:44 2010 -0700

    Fix .TH values in Xfixes.man
    
    Requires xorg-macros 1.8 in order to get the updated XORG_MANPAGE_SECTIONS
    that sets $(SED) & $(MAN_SUBSTS) from configure for us.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit e81d298c3dd043ee2234156f81d75cac394ad896
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 8 19:04:01 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdebfcf8096b7403c5e59501d73e5b73d2e65f15
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Apr 9 17:26:31 2010 -0700

    Always call SyncHandle after issuing an X request.

commit e09464e0ec1f6994272f3ef324b7fa77329948d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 946578b59ced5d828b0ad62fe96fc6d9bb31008a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e3acd4a80b246166bb971095ff598944fb59281b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 19:09:28 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 43397a8cb586caefc60787c98792ae2aae43fddf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 19:07:17 2010 -0800

    Purge CVS/RCS id tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e27e229cf7f1809b1997dcafc147e512b0fb014d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 15:54:31 2010 -0500

    COPYING: add missing copyright notice.
    
    Refer to: Cursor.c
    Copyright © 2006 Sun Microsystems
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9e1da45e4cc425f1aa8bc7021645372cad93f029
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit b228e13d654f07297cc40cabe81fdb50469c1e83
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 12e260765e880ffe2e078e6eb399bd137116d2cc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 82d17ac11ced59195eb160464b011546ca72a5c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 55d7359a38e2e461a1320872bf955a298f06abd2
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:25 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit ed2f91926bcef1610abe3c9cef61b1bb1c918ec8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 08:45:02 2009 -0700

    libXfixes 4.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dc9e2c696121f677065919bc5b011eb650791831
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 08:44:24 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c83a721ba0b142177b3f01dd0c0a5e47e06a991a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:33 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9784df5ba9f04163da7486c005eaf2383c37b127
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 17:40:24 2009 -0200

    Janitor: Correct make distcheck and gcc/sparse warnings.

commit 839ef4a38dceec053c3fb33878e59eb26bd8d580
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 17:31:04 2008 +0930

    Rename parameters to clarify QueryVersion/QueryExtension.
    
    These parameters are not treated as input. Rename them to make the inner
    workings slightly more obvious.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit d7778d80356f9a7f0bc4ffd0f0cf0bfa86928249
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 08:19:27 2008 +0100

    nuke RCS Ids

commit e211f3647823d89dd25a1cff8981c3154a6c429d
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:28 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit cad41f810023db454f33feea4f89d4d053737732
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Nov 8 16:14:41 2006 +0200

    bump to 4.0.3

commit 9dc7945eaa9216bf7b0056e815fba5bf8b5ded07
Author: Lars Knoll <lars@trolltech.com>
Date:   Sun Oct 15 14:13:14 2006 -0700

    Don't unlock the Display when you have not locked it.
    
    Acked-by: Jamey Sharp <jamey@minilop.net>

commit fcd9a56f0614521127d82954c4a4d77c92e62e53
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:12:54 2006 -0400

    Bump to 4.0.2

commit 8b43f6b0b5d77ab33efc50e4b1f588e51d029eb8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 27 19:03:11 2006 -0700

    Add *~ to .gitignore to skip over emacs droppings

commit 6c4d82990973b02a756ab3ba83ea345fed4bf87e
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Wed Sep 27 19:02:02 2006 -0700

    Sun bug #5099413/Xorg bugzilla #1554: Gnopernicus full-screen mag not working
    
    Sun bug #5099413: Gnopernicus full-screen magnification not working
    <http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=5099413>
    
    includes fix for Xorg bug #1554: rect defined in XFixesInvertRegion is not used
    <https://bugs.freedesktop.org/show_bug.cgi?id=1554>

commit cd58068a11dbec3a17099fb699885e5e20e6ae36
Author: David Nusinow <dnusinow@debian.org>
Date:   Mon Sep 18 18:24:29 2006 -0400

    Add 01_include_xlib.h.diff. Xfixes.h relies on the "Bool" define from
    X11/Xlib.h but did not include that header (directly or indirectly)
    See debian bug #372756

commit 78e08086c13b2053f7cf1f74a8ec49b7e970a420
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Sep 1 17:12:39 2006 +0200

    Bug #4902: _XRead32() expects a signed long pointer on 64 bit systems.

commit 4ac8fb34617e392a5af35bf34d86df61903ec482
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:54 2006 -0700

    renamed: .cvsignore -> .gitignore

commit f506712c5117d48cee6b36bc8b9ef1760b0506d6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri May 12 15:18:54 2006 +0000

    Fix the soversion to 3.1.0.

commit 2284047bd919826e2ef1a8898eabfc3c8ec5d1a8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 28 20:53:15 2006 +0000

    Bump to 4.0

commit 0ce5551f030c27705b3828b41647824577e30f74
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 00:58:13 2006 +0000

    Coverity #576: Plug a leak on the error path.

commit e9e432a987682ee16ed0dbc1e9b520fa5720150c
Author: Deron Johnson <deron.johnson@sun.com>
Date:   Mon Mar 13 21:59:05 2006 +0000

    Part 2 of 3 (Other parts are in proto and xserver) Composite Version 0.3:
        CompositeGetOverlayWindow, CompositeReleaseOverlayWindow Xfixes Version
        4.0: XFixesHideCursor, XFixesShowCursor

commit 96275f0b9f97be0fd9e002fd14bce4f4a015278a
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit c775b60f1aec6730be283cba3e9ba4b2348fb6ba
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:43 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit eb7159b541fe31d0d84313b49503bedd44a95bec
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit be6cbf68064b4d45f77cbb0a1d4670e9789d2343
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 4b9884c72b23b276eeb2b2e6b3c749fbb54fdc36
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 593a37675b72053c36924785a2fea51a06ad1c37
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 13 01:48:25 2005 +0000

    Use sed to substitute variables in man pages.

commit b21e46646371edbf7155eae621fefc0b572b006e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:31:20 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC2.

commit 097f483e522f721eae4816e659237da94a4796d3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:13 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 750cac0b61ecde7489ea98e69f60417d169329c7
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:51 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit 92f0e71679f00f6ce18f445f505962bd1c6c8141
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Oct 26 22:27:27 2005 +0000

    Bug #4868: Add check for xproto.

commit 15fba21d80922c8f93f5406b0616022b92eaa5c1
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit c6bd02dc03af0e475d2396d5c399201969348151
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 23 05:27:00 2005 +0000

    Fix distchecks

commit abdd66912a8c9087ae171b62c9910af8bb00e437
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:06:31 2005 +0000

    Set soversion to 3.0.0 using -version-number.

commit 366322d9d9354ed80fde808322207ee57599f7cb
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:18:56 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit c3c7a139e8a4c01aa55a19ecc9a1acf7dad5bbe7
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 3afe915a1bc5243229d8c31dc6e3023b92821911
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 06:35:03 2005 +0000

    Add appropriate lib*_CFLAGS to Makefile.am's -- fixes build problems

commit e1825a381734f2bb98430329179b047ec8ca5cb5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:32 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit 4b09a3bfa3b3fa43230cb8ebc5d84257b31473bc
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:08 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 1406e1cbe2cf76e6e056377af831f9fdf710e487
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 17:02:24 2005 +0000

    Conditionally include config.h in xc/lib/Xdamage and xc/lib/Xfixes

commit 03d31637787906378bc2809758b6dbfe79ea55ad
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 16:11:26 2005 +0000

    Remove rest of half-removed if statement
    remove irrelevant entries

commit 7d85687a6d8319ac1a48e0294228632ffbefdc8a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 15:22:23 2005 +0000

    And here

commit 8424a78dff9a51f7f6ccbfe111a78242867ccdf4
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 15:21:58 2005 +0000

    Check in Makefile.am here

commit 23a209b91fd011539c6d9a9447860dac4e12eae9
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue May 17 15:21:14 2005 +0000

    Really check in the build system for Xfixes

commit 58394a76ec740d0242097975e25ce6a6f148cb9d
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:47 2004 +0000

    Encoding of numerous files changed to UTF-8

commit b083c691fe7707146f728e563247a18aa601c19b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 31 05:50:39 2004 +0000

    Bring in Xfixes, Xdamage, and Xcomposite userland from xserver CVS:
    - Update Xfixes headers to protocol major version 3.
    - Add composite headers.
    - Add libXfixes, libXdamage, and libXcomposite.
    - Add imake glue for new libraries, but leave Composite off by default
        until issues are resolved.
